Bullet Collision Detection & Physics Library: gim_contact_array Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gim_contact_array Class Reference

`#include <gim_contact.h>`

Inheritance diagram for gim_contact_array:
[legend]
Collaboration diagram for gim_contact_array:
[legend]

## Public Member Functions
| gim_contact_array ()
void | push_contact (const btVector3 &point, const btVector3 &normal, GREAL depth, GUINT feature1, GUINT feature2)
void | push_triangle_contacts (const GIM_TRIANGLE_CONTACT_DATA &tricontact, GUINT feature1, GUINT feature2)
void | merge_contacts (const gim_contact_array &contacts, bool normal_contact_average=true)
void | merge_contacts_unique (const gim_contact_array &contacts)
Public Member Functions inherited from gim_array< GIM_CONTACT >
void | destroyData ()
| protected operations
bool | resizeData (GUINT newsize)
bool | growingCheck ()
bool | reserve (GUINT size)
| public operations
void | clear_range (GUINT start_range)
void | clear ()
void | clear_memory ()
| gim_array ()
| gim_array (GUINT reservesize)
| ~gim_array ()
GUINT | size () const
GUINT | max_size () const
GIM_CONTACT & | operator[] (size_t i)
const GIM_CONTACT & | operator[] (size_t i) const
GIM_CONTACT * | pointer ()
const GIM_CONTACT * | pointer () const
GIM_CONTACT * | get_pointer_at (GUINT i)
const GIM_CONTACT * | get_pointer_at (GUINT i) const
GIM_CONTACT & | at (GUINT i)
const GIM_CONTACT & | at (GUINT i) const
GIM_CONTACT & | front ()
const GIM_CONTACT & | front () const
GIM_CONTACT & | back ()
const GIM_CONTACT & | back () const
void | swap (GUINT i, GUINT j)
void | push_back (const GIM_CONTACT &obj)
void | push_back_mem ()
| Simply increase the m_size, doesn't call the new element constructor.
void | push_back_memcpy (const GIM_CONTACT &obj)
void | pop_back ()
void | pop_back_mem ()
| Simply decrease the m_size, doesn't call the deleted element destructor.
void | erase (GUINT index)
| fast erase
void | erase_sorted_mem (GUINT index)
void | erase_sorted (GUINT index)
void | insert_mem (GUINT index)
void | insert (const GIM_CONTACT &obj, GUINT index)
void | resize (GUINT size, bool call_constructor=true, const GIM_CONTACT &fillData=GIM_CONTACT())
void | refit ()

## Additional Inherited Members
Public Attributes inherited from gim_array< GIM_CONTACT >
GIM_CONTACT * | m_data
| properties
GUINT | m_size
GUINT | m_allocated_size

## Detailed Description

Definition at line 129 of file gim_contact.h.

## Constructor & Destructor Documentation

## ◆ gim_contact_array()

gim_contact_array::gim_contact_array | ( |  | ) |
| inline

Definition at line 132 of file gim_contact.h.

## Member Function Documentation

## ◆ merge_contacts()

void gim_contact_array::merge_contacts | ( | const gim_contact_array & | contacts,
|  | bool | normal_contact_average = true )

Definition at line 35 of file gim_contact.cpp.

## ◆ merge_contacts_unique()

void gim_contact_array::merge_contacts_unique | ( | const gim_contact_array & | contacts | ) |

Definition at line 114 of file gim_contact.cpp.

## ◆ push_contact()

void gim_contact_array::push_contact | ( | const btVector3 & | point,
|  | const btVector3 & | normal,
|  | GREAL | depth,
|  | GUINT | feature1,
|  | GUINT | feature2 )
| inline

Definition at line 136 of file gim_contact.h.

## ◆ push_triangle_contacts()

void gim_contact_array::push_triangle_contacts | ( | const GIM_TRIANGLE_CONTACT_DATA & | tricontact,
|  | GUINT | feature1,
|  | GUINT | feature2 )
| inline

Definition at line 148 of file gim_contact.h.

The documentation for this class was generated from the following files:

- gim_contact.h
- gim_contact.cpp